# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{sequel}
  s.version = "4.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jeremy Evans"]
  s.date = %q{2013-07-01}
  s.default_executable = %q{sequel}
  s.description = %q{The Database Toolkit for Ruby}
  s.email = %q{code@jeremyevans.net}
  s.executables = ["sequel"]
  s.extra_rdoc_files = ["README.rdoc", "CHANGELOG", "MIT-LICENSE", "doc/active_record.rdoc", "doc/advanced_associations.rdoc", "doc/association_basics.rdoc", "doc/cheat_sheet.rdoc", "doc/dataset_basics.rdoc", "doc/dataset_filtering.rdoc", "doc/migration.rdoc", "doc/model_hooks.rdoc", "doc/opening_databases.rdoc", "doc/prepared_statements.rdoc", "doc/querying.rdoc", "doc/reflection.rdoc", "doc/sharding.rdoc", "doc/sql.rdoc", "doc/validations.rdoc", "doc/virtual_rows.rdoc", "doc/mass_assignment.rdoc", "doc/testing.rdoc", "doc/schema_modification.rdoc", "doc/transactions.rdoc", "doc/thread_safety.rdoc", "doc/object_model.rdoc", "doc/core_extensions.rdoc", "doc/bin_sequel.rdoc", "doc/security.rdoc", "doc/postgresql.rdoc", "doc/code_order.rdoc", "doc/release_notes/1.0.txt", "doc/release_notes/1.1.txt", "doc/release_notes/1.3.txt", "doc/release_notes/1.4.0.txt", "doc/release_notes/1.5.0.txt", "doc/release_notes/2.0.0.txt", "doc/release_notes/2.1.0.txt", "doc/release_notes/2.10.0.txt", "doc/release_notes/2.11.0.txt", "doc/release_notes/2.12.0.txt", "doc/release_notes/2.2.0.txt", "doc/release_notes/2.3.0.txt", "doc/release_notes/2.4.0.txt", "doc/release_notes/2.5.0.txt", "doc/release_notes/2.6.0.txt", "doc/release_notes/2.7.0.txt", "doc/release_notes/2.8.0.txt", "doc/release_notes/2.9.0.txt", "doc/release_notes/3.0.0.txt", "doc/release_notes/3.1.0.txt", "doc/release_notes/3.10.0.txt", "doc/release_notes/3.11.0.txt", "doc/release_notes/3.12.0.txt", "doc/release_notes/3.13.0.txt", "doc/release_notes/3.14.0.txt", "doc/release_notes/3.15.0.txt", "doc/release_notes/3.16.0.txt", "doc/release_notes/3.17.0.txt", "doc/release_notes/3.18.0.txt", "doc/release_notes/3.19.0.txt", "doc/release_notes/3.2.0.txt", "doc/release_notes/3.20.0.txt", "doc/release_notes/3.21.0.txt", "doc/release_notes/3.22.0.txt", "doc/release_notes/3.23.0.txt", "doc/release_notes/3.24.0.txt", "doc/release_notes/3.25.0.txt", "doc/release_notes/3.3.0.txt", "doc/release_notes/3.4.0.txt", "doc/release_notes/3.5.0.txt", "doc/release_notes/3.6.0.txt", "doc/release_notes/3.7.0.txt", "doc/release_notes/3.8.0.txt", "doc/release_notes/3.9.0.txt", "doc/release_notes/3.26.0.txt", "doc/release_notes/3.27.0.txt", "doc/release_notes/3.28.0.txt", "doc/release_notes/3.29.0.txt", "doc/release_notes/3.30.0.txt", "doc/release_notes/3.31.0.txt", "doc/release_notes/3.32.0.txt", "doc/release_notes/3.33.0.txt", "doc/release_notes/3.34.0.txt", "doc/release_notes/3.35.0.txt", "doc/release_notes/3.36.0.txt", "doc/release_notes/3.37.0.txt", "doc/release_notes/3.38.0.txt", "doc/release_notes/3.39.0.txt", "doc/release_notes/3.40.0.txt", "doc/release_notes/3.41.0.txt", "doc/release_notes/3.42.0.txt", "doc/release_notes/3.43.0.txt", "doc/release_notes/3.44.0.txt", "doc/release_notes/3.45.0.txt", "doc/release_notes/3.46.0.txt", "doc/release_notes/3.47.0.txt", "doc/release_notes/3.48.0.txt", "doc/release_notes/4.0.0.txt"]
  s.files = ["MIT-LICENSE", "CHANGELOG", "README.rdoc", "Rakefile", "bin/sequel", "doc/active_record.rdoc", "doc/advanced_associations.rdoc", "doc/association_basics.rdoc", "doc/cheat_sheet.rdoc", "doc/dataset_basics.rdoc", "doc/dataset_filtering.rdoc", "doc/migration.rdoc", "doc/model_hooks.rdoc", "doc/opening_databases.rdoc", "doc/prepared_statements.rdoc", "doc/querying.rdoc", "doc/reflection.rdoc", "doc/sharding.rdoc", "doc/sql.rdoc", "doc/validations.rdoc", "doc/virtual_rows.rdoc", "doc/mass_assignment.rdoc", "doc/testing.rdoc", "doc/schema_modification.rdoc", "doc/transactions.rdoc", "doc/thread_safety.rdoc", "doc/object_model.rdoc", "doc/core_extensions.rdoc", "doc/bin_sequel.rdoc", "doc/security.rdoc", "doc/postgresql.rdoc", "doc/code_order.rdoc", "doc/release_notes/1.0.txt", "doc/release_notes/1.1.txt", "doc/release_notes/1.3.txt", "doc/release_notes/1.4.0.txt", "doc/release_notes/1.5.0.txt", "doc/release_notes/2.0.0.txt", "doc/release_notes/2.1.0.txt", "doc/release_notes/2.10.0.txt", "doc/release_notes/2.11.0.txt", "doc/release_notes/2.12.0.txt", "doc/release_notes/2.2.0.txt", "doc/release_notes/2.3.0.txt", "doc/release_notes/2.4.0.txt", "doc/release_notes/2.5.0.txt", "doc/release_notes/2.6.0.txt", "doc/release_notes/2.7.0.txt", "doc/release_notes/2.8.0.txt", "doc/release_notes/2.9.0.txt", "doc/release_notes/3.0.0.txt", "doc/release_notes/3.1.0.txt", "doc/release_notes/3.10.0.txt", "doc/release_notes/3.11.0.txt", "doc/release_notes/3.12.0.txt", "doc/release_notes/3.13.0.txt", "doc/release_notes/3.14.0.txt", "doc/release_notes/3.15.0.txt", "doc/release_notes/3.16.0.txt", "doc/release_notes/3.17.0.txt", "doc/release_notes/3.18.0.txt", "doc/release_notes/3.19.0.txt", "doc/release_notes/3.2.0.txt", "doc/release_notes/3.20.0.txt", "doc/release_notes/3.21.0.txt", "doc/release_notes/3.22.0.txt", "doc/release_notes/3.23.0.txt", "doc/release_notes/3.24.0.txt", "doc/release_notes/3.25.0.txt", "doc/release_notes/3.3.0.txt", "doc/release_notes/3.4.0.txt", "doc/release_notes/3.5.0.txt", "doc/release_notes/3.6.0.txt", "doc/release_notes/3.7.0.txt", "doc/release_notes/3.8.0.txt", "doc/release_notes/3.9.0.txt", "doc/release_notes/3.26.0.txt", "doc/release_notes/3.27.0.txt", "doc/release_notes/3.28.0.txt", "doc/release_notes/3.29.0.txt", "doc/release_notes/3.30.0.txt", "doc/release_notes/3.31.0.txt", "doc/release_notes/3.32.0.txt", "doc/release_notes/3.33.0.txt", "doc/release_notes/3.34.0.txt", "doc/release_notes/3.35.0.txt", "doc/release_notes/3.36.0.txt", "doc/release_notes/3.37.0.txt", "doc/release_notes/3.38.0.txt", "doc/release_notes/3.39.0.txt", "doc/release_notes/3.40.0.txt", "doc/release_notes/3.41.0.txt", "doc/release_notes/3.42.0.txt", "doc/release_notes/3.43.0.txt", "doc/release_notes/3.44.0.txt", "doc/release_notes/3.45.0.txt", "doc/release_notes/3.46.0.txt", "doc/release_notes/3.47.0.txt", "doc/release_notes/3.48.0.txt", "doc/release_notes/4.0.0.txt", "spec/adapters/firebird_spec.rb", "spec/adapters/informix_spec.rb", "spec/adapters/mssql_spec.rb", "spec/adapters/mysql_spec.rb", "spec/adapters/oracle_spec.rb", "spec/adapters/postgres_spec.rb", "spec/adapters/spec_helper.rb", "spec/adapters/sqlite_spec.rb", "spec/adapters/db2_spec.rb", "spec/core/connection_pool_spec.rb", "spec/core/dataset_spec.rb", "spec/core/database_spec.rb", "spec/core/expression_filters_spec.rb", "spec/core/schema_spec.rb", "spec/core/object_graph_spec.rb", "spec/core/schema_generator_spec.rb", "spec/core/spec_helper.rb", "spec/core/deprecated_spec.rb", "spec/core/version_spec.rb", "spec/core/mock_adapter_spec.rb", "spec/extensions/active_model_spec.rb", "spec/extensions/association_dependencies_spec.rb", "spec/extensions/boolean_readers_spec.rb", "spec/extensions/caching_spec.rb", "spec/extensions/dirty_spec.rb", "spec/extensions/core_refinements_spec.rb", "spec/extensions/force_encoding_spec.rb", "spec/extensions/hook_class_methods_spec.rb", "spec/extensions/lazy_attributes_spec.rb", "spec/extensions/looser_typecasting_spec.rb", "spec/extensions/instance_hooks_spec.rb", "spec/extensions/migration_spec.rb", "spec/extensions/null_dataset_spec.rb", "spec/extensions/pg_array_ops_spec.rb", "spec/extensions/shared_caching_spec.rb", "spec/extensions/many_through_many_spec.rb", "spec/extensions/named_timezones_spec.rb", "spec/extensions/nested_attributes_spec.rb", "spec/extensions/optimistic_locking_spec.rb", "spec/extensions/pagination_spec.rb", "spec/extensions/pretty_table_spec.rb", "spec/extensions/query_spec.rb", "spec/extensions/schema_dumper_spec.rb", "spec/extensions/schema_spec.rb", "spec/extensions/serialization_spec.rb", "spec/extensions/single_table_inheritance_spec.rb", "spec/extensions/spec_helper.rb", "spec/extensions/sql_expr_spec.rb", "spec/extensions/string_date_time_spec.rb", "spec/extensions/subclasses_spec.rb", "spec/extensions/tactical_eager_loading_spec.rb", "spec/extensions/thread_local_timezones_spec.rb", "spec/extensions/timestamps_spec.rb", "spec/extensions/typecast_on_load_spec.rb", "spec/extensions/validation_helpers_spec.rb", "spec/extensions/string_stripper_spec.rb", "spec/extensions/composition_spec.rb", "spec/extensions/rcte_tree_spec.rb", "spec/extensions/instance_filters_spec.rb", "spec/extensions/sharding_spec.rb", "spec/extensions/skip_create_refresh_spec.rb", "spec/extensions/date_arithmetic_spec.rb", "spec/extensions/update_primary_key_spec.rb", "spec/extensions/association_pks_spec.rb", "spec/extensions/json_serializer_spec.rb", "spec/extensions/eager_each_spec.rb", "spec/extensions/pg_json_spec.rb", "spec/extensions/list_spec.rb", "spec/extensions/tree_spec.rb", "spec/extensions/xml_serializer_spec.rb", "spec/extensions/to_dot_spec.rb", "spec/extensions/class_table_inheritance_spec.rb", "spec/extensions/serialization_modification_detection_spec.rb", "spec/extensions/defaults_setter_spec.rb", "spec/extensions/prepared_statements_spec.rb", "spec/extensions/prepared_statements_safe_spec.rb", "spec/extensions/prepared_statements_with_pk_spec.rb", "spec/extensions/prepared_statements_associations_spec.rb", "spec/extensions/dataset_associations_spec.rb", "spec/extensions/arbitrary_servers_spec.rb", "spec/extensions/touch_spec.rb", "spec/extensions/server_block_spec.rb", "spec/extensions/pg_hstore_ops_spec.rb", "spec/extensions/scissors_spec.rb", "spec/extensions/pg_array_spec.rb", "spec/extensions/static_cache_spec.rb", "spec/extensions/pg_hstore_spec.rb", "spec/extensions/pg_array_associations_spec.rb", "spec/extensions/schema_caching_spec.rb", "spec/extensions/pg_json_ops_spec.rb", "spec/extensions/select_remove_spec.rb", "spec/extensions/query_literals_spec.rb", "spec/extensions/pg_inet_spec.rb", "spec/extensions/eval_inspect_spec.rb", "spec/extensions/pg_range_spec.rb", "spec/extensions/split_array_nil_spec.rb", "spec/extensions/pg_range_ops_spec.rb", "spec/extensions/pg_interval_spec.rb", "spec/extensions/columns_introspection_spec.rb", "spec/extensions/pg_row_ops_spec.rb", "spec/extensions/pg_row_plugin_spec.rb", "spec/extensions/pg_row_spec.rb", "spec/extensions/pg_typecast_on_load_spec.rb", "spec/extensions/constraint_validations_plugin_spec.rb", "spec/extensions/constraint_validations_spec.rb", "spec/extensions/connection_validator_spec.rb", "spec/extensions/validation_class_methods_spec.rb", "spec/extensions/meta_def_spec.rb", "spec/extensions/hash_aliases_spec.rb", "spec/extensions/unlimited_update_spec.rb", "spec/extensions/error_splitter_spec.rb", "spec/extensions/input_transformer_spec.rb", "spec/extensions/filter_having_spec.rb", "spec/extensions/after_initialize_spec.rb", "spec/extensions/set_overrides_spec.rb", "spec/extensions/graph_each_spec.rb", "spec/extensions/blacklist_security_spec.rb", "spec/extensions/sequel_3_dataset_methods_spec.rb", "spec/extensions/empty_array_ignore_nulls_spec.rb", "spec/extensions/auto_validations_spec.rb", "spec/extensions/blank_spec.rb", "spec/extensions/inflector_spec.rb", "spec/extensions/association_proxies_spec.rb", "spec/integration/associations_test.rb", "spec/integration/database_test.rb", "spec/integration/dataset_test.rb", "spec/integration/eager_loader_test.rb", "spec/integration/model_test.rb", "spec/integration/plugin_test.rb", "spec/integration/prepared_statement_test.rb", "spec/integration/schema_test.rb", "spec/integration/spec_helper.rb", "spec/integration/timezone_test.rb", "spec/integration/transaction_test.rb", "spec/integration/type_test.rb", "spec/integration/migrator_test.rb", "spec/model/association_reflection_spec.rb", "spec/model/associations_spec.rb", "spec/model/base_spec.rb", "spec/model/dataset_methods_spec.rb", "spec/model/eager_loading_spec.rb", "spec/model/hooks_spec.rb", "spec/model/inflector_spec.rb", "spec/model/model_spec.rb", "spec/model/plugins_spec.rb", "spec/model/record_spec.rb", "spec/model/spec_helper.rb", "spec/model/validations_spec.rb", "spec/model/class_dataset_methods_spec.rb", "spec/spec_config.rb", "spec/files/bad_down_migration/001_create_alt_basic.rb", "spec/files/bad_down_migration/002_create_alt_advanced.rb", "spec/files/bad_timestamped_migrations/1273253849_create_sessions.rb", "spec/files/bad_timestamped_migrations/1273253851_create_nodes.rb", "spec/files/bad_timestamped_migrations/1273253853_3_create_users.rb", "spec/files/bad_up_migration/001_create_alt_basic.rb", "spec/files/bad_up_migration/002_create_alt_advanced.rb", "spec/files/convert_to_timestamp_migrations/001_create_sessions.rb", "spec/files/convert_to_timestamp_migrations/002_create_nodes.rb", "spec/files/convert_to_timestamp_migrations/003_3_create_users.rb", "spec/files/convert_to_timestamp_migrations/1273253850_create_artists.rb", "spec/files/convert_to_timestamp_migrations/1273253852_create_albums.rb", "spec/files/duplicate_integer_migrations/001_create_alt_advanced.rb", "spec/files/duplicate_integer_migrations/001_create_alt_basic.rb", "spec/files/duplicate_timestamped_migrations/1273253849_create_sessions.rb", "spec/files/duplicate_timestamped_migrations/1273253853_create_nodes.rb", "spec/files/duplicate_timestamped_migrations/1273253853_create_users.rb", "spec/files/integer_migrations/001_create_sessions.rb", "spec/files/integer_migrations/002_create_nodes.rb", "spec/files/integer_migrations/003_3_create_users.rb", "spec/files/interleaved_timestamped_migrations/1273253849_create_sessions.rb", "spec/files/interleaved_timestamped_migrations/1273253850_create_artists.rb", "spec/files/interleaved_timestamped_migrations/1273253851_create_nodes.rb", "spec/files/interleaved_timestamped_migrations/1273253852_create_albums.rb", "spec/files/interleaved_timestamped_migrations/1273253853_3_create_users.rb", "spec/files/missing_integer_migrations/001_create_alt_basic.rb", "spec/files/missing_integer_migrations/003_create_alt_advanced.rb", "spec/files/missing_timestamped_migrations/1273253849_create_sessions.rb", "spec/files/missing_timestamped_migrations/1273253853_3_create_users.rb", "spec/files/timestamped_migrations/1273253849_create_sessions.rb", "spec/files/timestamped_migrations/1273253851_create_nodes.rb", "spec/files/timestamped_migrations/1273253853_3_create_users.rb", "spec/files/reversible_migrations/001_reversible.rb", "spec/files/reversible_migrations/002_reversible.rb", "spec/files/reversible_migrations/003_reversible.rb", "spec/files/reversible_migrations/004_reversible.rb", "spec/files/reversible_migrations/005_reversible.rb", "spec/files/transaction_specified_migrations/001_create_alt_basic.rb", "spec/files/transaction_specified_migrations/002_create_basic.rb", "spec/files/transaction_unspecified_migrations/001_create_alt_basic.rb", "spec/files/transaction_unspecified_migrations/002_create_basic.rb", "spec/core_extensions_spec.rb", "spec/sequel_coverage.rb", "spec/bin_spec.rb", "spec/files/uppercase_timestamped_migrations/1273253849_CREATE_SESSIONS.RB", "spec/files/uppercase_timestamped_migrations/1273253851_CREATE_NODES.RB", "spec/files/uppercase_timestamped_migrations/1273253853_3_CREATE_USERS.RB", "lib/sequel.rb", "lib/sequel/adapters/ado.rb", "lib/sequel/adapters/ado/mssql.rb", "lib/sequel/adapters/ado/access.rb", "lib/sequel/adapters/amalgalite.rb", "lib/sequel/adapters/db2.rb", "lib/sequel/adapters/dbi.rb", "lib/sequel/adapters/do.rb", "lib/sequel/adapters/do/mysql.rb", "lib/sequel/adapters/do/postgres.rb", "lib/sequel/adapters/do/sqlite.rb", "lib/sequel/adapters/firebird.rb", "lib/sequel/adapters/informix.rb", "lib/sequel/adapters/jdbc.rb", "lib/sequel/adapters/jdbc/h2.rb", "lib/sequel/adapters/jdbc/mssql.rb", "lib/sequel/adapters/jdbc/mysql.rb", "lib/sequel/adapters/jdbc/oracle.rb", "lib/sequel/adapters/jdbc/postgresql.rb", "lib/sequel/adapters/jdbc/sqlite.rb", "lib/sequel/adapters/jdbc/as400.rb", "lib/sequel/adapters/jdbc/informix.rb", "lib/sequel/adapters/jdbc/jtds.rb", "lib/sequel/adapters/jdbc/sqlserver.rb", "lib/sequel/adapters/jdbc/db2.rb", "lib/sequel/adapters/jdbc/transactions.rb", "lib/sequel/adapters/jdbc/firebird.rb", "lib/sequel/adapters/jdbc/hsqldb.rb", "lib/sequel/adapters/jdbc/derby.rb", "lib/sequel/adapters/jdbc/progress.rb", "lib/sequel/adapters/jdbc/cubrid.rb", "lib/sequel/adapters/mysql.rb", "lib/sequel/adapters/odbc.rb", "lib/sequel/adapters/odbc/mssql.rb", "lib/sequel/adapters/openbase.rb", "lib/sequel/adapters/oracle.rb", "lib/sequel/adapters/postgres.rb", "lib/sequel/adapters/shared/mssql.rb", "lib/sequel/adapters/shared/mysql.rb", "lib/sequel/adapters/shared/oracle.rb", "lib/sequel/adapters/shared/postgres.rb", "lib/sequel/adapters/shared/progress.rb", "lib/sequel/adapters/shared/sqlite.rb", "lib/sequel/adapters/shared/access.rb", "lib/sequel/adapters/shared/informix.rb", "lib/sequel/adapters/shared/mysql_prepared_statements.rb", "lib/sequel/adapters/shared/db2.rb", "lib/sequel/adapters/shared/firebird.rb", "lib/sequel/adapters/shared/cubrid.rb", "lib/sequel/adapters/sqlite.rb", "lib/sequel/adapters/utils/stored_procedures.rb", "lib/sequel/adapters/utils/emulate_offset_with_row_number.rb", "lib/sequel/adapters/utils/pg_types.rb", "lib/sequel/adapters/utils/split_alter_table.rb", "lib/sequel/adapters/utils/emulate_offset_with_reverse_and_count.rb", "lib/sequel/adapters/mysql2.rb", "lib/sequel/adapters/swift.rb", "lib/sequel/adapters/swift/mysql.rb", "lib/sequel/adapters/swift/postgres.rb", "lib/sequel/adapters/swift/sqlite.rb", "lib/sequel/adapters/tinytds.rb", "lib/sequel/adapters/ibmdb.rb", "lib/sequel/adapters/mock.rb", "lib/sequel/adapters/cubrid.rb", "lib/sequel/connection_pool.rb", "lib/sequel/connection_pool/sharded_single.rb", "lib/sequel/connection_pool/sharded_threaded.rb", "lib/sequel/connection_pool/single.rb", "lib/sequel/connection_pool/threaded.rb", "lib/sequel/core.rb", "lib/sequel/sql.rb", "lib/sequel/database.rb", "lib/sequel/database/schema_generator.rb", "lib/sequel/database/schema_methods.rb", "lib/sequel/database/connecting.rb", "lib/sequel/database/dataset.rb", "lib/sequel/database/dataset_defaults.rb", "lib/sequel/database/logging.rb", "lib/sequel/database/misc.rb", "lib/sequel/database/query.rb", "lib/sequel/database/features.rb", "lib/sequel/database/transactions.rb", "lib/sequel/dataset.rb", "lib/sequel/dataset/actions.rb", "lib/sequel/dataset/features.rb", "lib/sequel/dataset/graph.rb", "lib/sequel/dataset/misc.rb", "lib/sequel/dataset/prepared_statements.rb", "lib/sequel/dataset/query.rb", "lib/sequel/dataset/sql.rb", "lib/sequel/dataset/mutation.rb", "lib/sequel/exceptions.rb", "lib/sequel/extensions/blank.rb", "lib/sequel/extensions/inflector.rb", "lib/sequel/extensions/looser_typecasting.rb", "lib/sequel/extensions/migration.rb", "lib/sequel/extensions/named_timezones.rb", "lib/sequel/extensions/pagination.rb", "lib/sequel/extensions/pretty_table.rb", "lib/sequel/extensions/query.rb", "lib/sequel/extensions/schema_dumper.rb", "lib/sequel/extensions/sql_expr.rb", "lib/sequel/extensions/string_date_time.rb", "lib/sequel/extensions/thread_local_timezones.rb", "lib/sequel/extensions/to_dot.rb", "lib/sequel/extensions/arbitrary_servers.rb", "lib/sequel/extensions/server_block.rb", "lib/sequel/extensions/columns_introspection.rb", "lib/sequel/extensions/core_extensions.rb", "lib/sequel/extensions/pg_array.rb", "lib/sequel/extensions/pg_json.rb", "lib/sequel/extensions/pg_array_ops.rb", "lib/sequel/extensions/pg_hstore.rb", "lib/sequel/extensions/pg_hstore_ops.rb", "lib/sequel/extensions/schema_caching.rb", "lib/sequel/extensions/null_dataset.rb", "lib/sequel/extensions/_pretty_table.rb", "lib/sequel/extensions/constraint_validations.rb", "lib/sequel/extensions/select_remove.rb", "lib/sequel/extensions/date_arithmetic.rb", "lib/sequel/extensions/query_literals.rb", "lib/sequel/extensions/pg_inet.rb", "lib/sequel/extensions/eval_inspect.rb", "lib/sequel/extensions/pg_range.rb", "lib/sequel/extensions/split_array_nil.rb", "lib/sequel/extensions/pg_range_ops.rb", "lib/sequel/extensions/pg_interval.rb", "lib/sequel/extensions/pg_row.rb", "lib/sequel/extensions/pg_row_ops.rb", "lib/sequel/extensions/graph_each.rb", "lib/sequel/extensions/connection_validator.rb", "lib/sequel/extensions/set_overrides.rb", "lib/sequel/extensions/core_refinements.rb", "lib/sequel/extensions/meta_def.rb", "lib/sequel/extensions/filter_having.rb", "lib/sequel/extensions/hash_aliases.rb", "lib/sequel/extensions/ruby18_symbol_extensions.rb", "lib/sequel/extensions/sequel_3_dataset_methods.rb", "lib/sequel/extensions/pg_json_ops.rb", "lib/sequel/extensions/empty_array_ignore_nulls.rb", "lib/sequel/version.rb", "lib/sequel/model.rb", "lib/sequel/model/associations.rb", "lib/sequel/model/base.rb", "lib/sequel/model/default_inflections.rb", "lib/sequel/model/errors.rb", "lib/sequel/model/exceptions.rb", "lib/sequel/model/inflections.rb", "lib/sequel/model/plugins.rb", "lib/sequel/model/dataset_module.rb", "lib/sequel/plugins/active_model.rb", "lib/sequel/plugins/association_dependencies.rb", "lib/sequel/plugins/association_proxies.rb", "lib/sequel/plugins/boolean_readers.rb", "lib/sequel/plugins/caching.rb", "lib/sequel/plugins/class_table_inheritance.rb", "lib/sequel/plugins/force_encoding.rb", "lib/sequel/plugins/hook_class_methods.rb", "lib/sequel/plugins/composition.rb", "lib/sequel/plugins/instance_hooks.rb", "lib/sequel/plugins/lazy_attributes.rb", "lib/sequel/plugins/many_through_many.rb", "lib/sequel/plugins/nested_attributes.rb", "lib/sequel/plugins/optimistic_locking.rb", "lib/sequel/plugins/schema.rb", "lib/sequel/plugins/serialization.rb", "lib/sequel/plugins/subclasses.rb", "lib/sequel/plugins/single_table_inheritance.rb", "lib/sequel/plugins/tactical_eager_loading.rb", "lib/sequel/plugins/timestamps.rb", "lib/sequel/plugins/touch.rb", "lib/sequel/plugins/typecast_on_load.rb", "lib/sequel/plugins/validation_class_methods.rb", "lib/sequel/plugins/validation_helpers.rb", "lib/sequel/plugins/list.rb", "lib/sequel/plugins/rcte_tree.rb", "lib/sequel/plugins/instance_filters.rb", "lib/sequel/plugins/sharding.rb", "lib/sequel/plugins/skip_create_refresh.rb", "lib/sequel/plugins/string_stripper.rb", "lib/sequel/plugins/update_primary_key.rb", "lib/sequel/plugins/association_pks.rb", "lib/sequel/plugins/json_serializer.rb", "lib/sequel/plugins/tree.rb", "lib/sequel/plugins/static_cache.rb", "lib/sequel/plugins/xml_serializer.rb", "lib/sequel/plugins/association_autoreloading.rb", "lib/sequel/plugins/serialization_modification_detection.rb", "lib/sequel/plugins/defaults_setter.rb", "lib/sequel/plugins/prepared_statements.rb", "lib/sequel/plugins/prepared_statements_safe.rb", "lib/sequel/plugins/prepared_statements_with_pk.rb", "lib/sequel/plugins/prepared_statements_associations.rb", "lib/sequel/plugins/dataset_associations.rb", "lib/sequel/plugins/many_to_one_pk_lookup.rb", "lib/sequel/plugins/dirty.rb", "lib/sequel/plugins/eager_each.rb", "lib/sequel/plugins/pg_row.rb", "lib/sequel/plugins/pg_typecast_on_load.rb", "lib/sequel/plugins/constraint_validations.rb", "lib/sequel/plugins/unlimited_update.rb", "lib/sequel/plugins/auto_validations.rb", "lib/sequel/plugins/error_splitter.rb", "lib/sequel/plugins/scissors.rb", "lib/sequel/plugins/input_transformer.rb", "lib/sequel/plugins/after_initialize.rb", "lib/sequel/plugins/blacklist_security.rb", "lib/sequel/plugins/pg_array_associations.rb", "lib/sequel/timezones.rb", "lib/sequel/deprecated.rb", "lib/sequel/ast_transformer.rb", "lib/sequel/no_core_ext.rb"]
  s.homepage = %q{http://sequel.rubyforge.org}
  s.rdoc_options = ["--quiet", "--line-numbers", "--inline-source", "--title", "Sequel: The Database Toolkit for Ruby", "--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7")
  s.rubyforge_project = %q{sequel}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{The Database Toolkit for Ruby}

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
